Imports Telerik.Web.UI

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub RadTreeView1_NodeExpand(ByVal sender As Object, ByVal e As Telerik.Web.UI.RadTreeNodeEventArgs) Handles RadTreeView1.NodeExpand
        e.Node.Nodes.Add(New RadTreeNode(e.Node.Text + " child 1.1"))
        e.Node.Nodes.Add(New RadTreeNode(e.Node.Text + " child 1.2"))
        e.Node.Nodes.Add(New RadTreeNode(e.Node.Text + " child 1.3"))
        e.Node.Nodes.Add(New RadTreeNode(e.Node.Text + " child 1.4"))
    End Sub

    Protected Sub RadTreeView1_NodeCollapse(ByVal sender As Object, ByVal e As Telerik.Web.UI.RadTreeNodeEventArgs) Handles RadTreeView1.NodeCollapse
        e.Node.Nodes.Clear()
    End Sub

    Protected Sub RadTreeView2_NodeExpand(ByVal sender As Object, ByVal e As Telerik.Web.UI.RadTreeNodeEventArgs) Handles RadTreeView2.NodeExpand
        e.Node.Nodes.Add(New RadTreeNode(e.Node.Text + " child 2.1"))
        e.Node.Nodes.Add(New RadTreeNode(e.Node.Text + " child 2.2"))
        e.Node.Nodes.Add(New RadTreeNode(e.Node.Text + " child 2.3"))
        e.Node.Nodes.Add(New RadTreeNode(e.Node.Text + " child 2.4"))
    End Sub


    Protected Sub RadTreeView2_NodeCollapse(ByVal sender As Object, ByVal e As Telerik.Web.UI.RadTreeNodeEventArgs) Handles RadTreeView2.NodeCollapse
        e.Node.Nodes.Clear()
    End Sub

    Protected Sub HandleDrop(ByVal sender As Object, ByVal e As Telerik.Web.UI.RadTreeNodeDragDropEventArgs)
        'Fetch event data
        Dim sourceNode As RadTreeNode = e.SourceDragNode
        Dim destNode As RadTreeNode = e.DestDragNode
        ' Swap nodes in tree.
        If Not sourceNode Is destNode.Parent Then
            sourceNode.Owner.Nodes.Remove(sourceNode)
            destNode.Nodes.Add(sourceNode)
        End If
        ' Expand destination node to see result of swap immediately.
        sourceNode.Selected = False
        destNode.Expanded = True
    End Sub
End Class
